Subject: pthread_join not returning
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Mon, 6 Sep 2004 13:27:40 -0700

I've reported this before as affecting perl's threads; now I've got a
C test program (attached) that shows the problem.  I know almost
nothing about pthreads, so I apologize if there is an error in the
code, but it should represent more or less what perl is doing to
create and join a thread.

This correctly proceeds to the end on 1.5.10-3 and the 20040604
snapshot; with the 20040622 snapshot and later other ones and
1.5.11-1, the whole process terminates in pthread_join.

Hope this helps track this down; please let me know if the developers
aren't seeing this problem or if there's anything more I can do to help.
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/